Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network169.254.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
169.254.0.0
Broadcast address
169.254.255.255
First usable
169.254.0.1
Last usable
169.254.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Link-local (APIPA) 169.254.0.0/16
Self-assigned when no DHCP server answers
Old class
B (default /16)
As numbers
Hex A9FE0000 · Integer 2851995648 to 2852061183
Reverse DNS zone
254.169.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101001.11111110..00000000.00000000169.254.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10101001.11111110..00000000.00000000169.254.0.0
Broadcast10101001.11111110..11111111.11111111169.254.255.255
Split into smaller subnets/24

169.254.0.0/16 makes 256 subnets of /24.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1169.254.0.0/24169.254.0.1 to 169.254.0.254169.254.0.255254
2169.254.1.0/24169.254.1.1 to 169.254.1.254169.254.1.255254
3169.254.2.0/24169.254.2.1 to 169.254.2.254169.254.2.255254
4169.254.3.0/24169.254.3.1 to 169.254.3.254169.254.3.255254
5169.254.4.0/24169.254.4.1 to 169.254.4.254169.254.4.255254
6169.254.5.0/24169.254.5.1 to 169.254.5.254169.254.5.255254
7169.254.6.0/24169.254.6.1 to 169.254.6.254169.254.6.255254
8169.254.7.0/24169.254.7.1 to 169.254.7.254169.254.7.255254
9169.254.8.0/24169.254.8.1 to 169.254.8.254169.254.8.255254
10169.254.9.0/24169.254.9.1 to 169.254.9.254169.254.9.255254
11169.254.10.0/24169.254.10.1 to 169.254.10.254169.254.10.255254
12169.254.11.0/24169.254.11.1 to 169.254.11.254169.254.11.255254
13169.254.12.0/24169.254.12.1 to 169.254.12.254169.254.12.255254
14169.254.13.0/24169.254.13.1 to 169.254.13.254169.254.13.255254
15169.254.14.0/24169.254.14.1 to 169.254.14.254169.254.14.255254
16169.254.15.0/24169.254.15.1 to 169.254.15.254169.254.15.255254
17169.254.16.0/24169.254.16.1 to 169.254.16.254169.254.16.255254
18169.254.17.0/24169.254.17.1 to 169.254.17.254169.254.17.255254
19169.254.18.0/24169.254.18.1 to 169.254.18.254169.254.18.255254
20169.254.19.0/24169.254.19.1 to 169.254.19.254169.254.19.255254
21169.254.20.0/24169.254.20.1 to 169.254.20.254169.254.20.255254
22169.254.21.0/24169.254.21.1 to 169.254.21.254169.254.21.255254
23169.254.22.0/24169.254.22.1 to 169.254.22.254169.254.22.255254
24169.254.23.0/24169.254.23.1 to 169.254.23.254169.254.23.255254
25169.254.24.0/24169.254.24.1 to 169.254.24.254169.254.24.255254
26169.254.25.0/24169.254.25.1 to 169.254.25.254169.254.25.255254
27169.254.26.0/24169.254.26.1 to 169.254.26.254169.254.26.255254
28169.254.27.0/24169.254.27.1 to 169.254.27.254169.254.27.255254
29169.254.28.0/24169.254.28.1 to 169.254.28.254169.254.28.255254
30169.254.29.0/24169.254.29.1 to 169.254.29.254169.254.29.255254
31169.254.30.0/24169.254.30.1 to 169.254.30.254169.254.30.255254
32169.254.31.0/24169.254.31.1 to 169.254.31.254169.254.31.255254
33169.254.32.0/24169.254.32.1 to 169.254.32.254169.254.32.255254
34169.254.33.0/24169.254.33.1 to 169.254.33.254169.254.33.255254
35169.254.34.0/24169.254.34.1 to 169.254.34.254169.254.34.255254
36169.254.35.0/24169.254.35.1 to 169.254.35.254169.254.35.255254
37169.254.36.0/24169.254.36.1 to 169.254.36.254169.254.36.255254
38169.254.37.0/24169.254.37.1 to 169.254.37.254169.254.37.255254
39169.254.38.0/24169.254.38.1 to 169.254.38.254169.254.38.255254
40169.254.39.0/24169.254.39.1 to 169.254.39.254169.254.39.255254
41169.254.40.0/24169.254.40.1 to 169.254.40.254169.254.40.255254
42169.254.41.0/24169.254.41.1 to 169.254.41.254169.254.41.255254
43169.254.42.0/24169.254.42.1 to 169.254.42.254169.254.42.255254
44169.254.43.0/24169.254.43.1 to 169.254.43.254169.254.43.255254
45169.254.44.0/24169.254.44.1 to 169.254.44.254169.254.44.255254
46169.254.45.0/24169.254.45.1 to 169.254.45.254169.254.45.255254
47169.254.46.0/24169.254.46.1 to 169.254.46.254169.254.46.255254
48169.254.47.0/24169.254.47.1 to 169.254.47.254169.254.47.255254
49169.254.48.0/24169.254.48.1 to 169.254.48.254169.254.48.255254
50169.254.49.0/24169.254.49.1 to 169.254.49.254169.254.49.255254
51169.254.50.0/24169.254.50.1 to 169.254.50.254169.254.50.255254
52169.254.51.0/24169.254.51.1 to 169.254.51.254169.254.51.255254
53169.254.52.0/24169.254.52.1 to 169.254.52.254169.254.52.255254
54169.254.53.0/24169.254.53.1 to 169.254.53.254169.254.53.255254
55169.254.54.0/24169.254.54.1 to 169.254.54.254169.254.54.255254
56169.254.55.0/24169.254.55.1 to 169.254.55.254169.254.55.255254
57169.254.56.0/24169.254.56.1 to 169.254.56.254169.254.56.255254
58169.254.57.0/24169.254.57.1 to 169.254.57.254169.254.57.255254
59169.254.58.0/24169.254.58.1 to 169.254.58.254169.254.58.255254
60169.254.59.0/24169.254.59.1 to 169.254.59.254169.254.59.255254
61169.254.60.0/24169.254.60.1 to 169.254.60.254169.254.60.255254
62169.254.61.0/24169.254.61.1 to 169.254.61.254169.254.61.255254
63169.254.62.0/24169.254.62.1 to 169.254.62.254169.254.62.255254
64169.254.63.0/24169.254.63.1 to 169.254.63.254169.254.63.255254
65169.254.64.0/24169.254.64.1 to 169.254.64.254169.254.64.255254
66169.254.65.0/24169.254.65.1 to 169.254.65.254169.254.65.255254
67169.254.66.0/24169.254.66.1 to 169.254.66.254169.254.66.255254
68169.254.67.0/24169.254.67.1 to 169.254.67.254169.254.67.255254
69169.254.68.0/24169.254.68.1 to 169.254.68.254169.254.68.255254
70169.254.69.0/24169.254.69.1 to 169.254.69.254169.254.69.255254
71169.254.70.0/24169.254.70.1 to 169.254.70.254169.254.70.255254
72169.254.71.0/24169.254.71.1 to 169.254.71.254169.254.71.255254
73169.254.72.0/24169.254.72.1 to 169.254.72.254169.254.72.255254
74169.254.73.0/24169.254.73.1 to 169.254.73.254169.254.73.255254
75169.254.74.0/24169.254.74.1 to 169.254.74.254169.254.74.255254
76169.254.75.0/24169.254.75.1 to 169.254.75.254169.254.75.255254
77169.254.76.0/24169.254.76.1 to 169.254.76.254169.254.76.255254
78169.254.77.0/24169.254.77.1 to 169.254.77.254169.254.77.255254
79169.254.78.0/24169.254.78.1 to 169.254.78.254169.254.78.255254
80169.254.79.0/24169.254.79.1 to 169.254.79.254169.254.79.255254
81169.254.80.0/24169.254.80.1 to 169.254.80.254169.254.80.255254
82169.254.81.0/24169.254.81.1 to 169.254.81.254169.254.81.255254
83169.254.82.0/24169.254.82.1 to 169.254.82.254169.254.82.255254
84169.254.83.0/24169.254.83.1 to 169.254.83.254169.254.83.255254
85169.254.84.0/24169.254.84.1 to 169.254.84.254169.254.84.255254
86169.254.85.0/24169.254.85.1 to 169.254.85.254169.254.85.255254
87169.254.86.0/24169.254.86.1 to 169.254.86.254169.254.86.255254
88169.254.87.0/24169.254.87.1 to 169.254.87.254169.254.87.255254
89169.254.88.0/24169.254.88.1 to 169.254.88.254169.254.88.255254
90169.254.89.0/24169.254.89.1 to 169.254.89.254169.254.89.255254
91169.254.90.0/24169.254.90.1 to 169.254.90.254169.254.90.255254
92169.254.91.0/24169.254.91.1 to 169.254.91.254169.254.91.255254
93169.254.92.0/24169.254.92.1 to 169.254.92.254169.254.92.255254
94169.254.93.0/24169.254.93.1 to 169.254.93.254169.254.93.255254
95169.254.94.0/24169.254.94.1 to 169.254.94.254169.254.94.255254
96169.254.95.0/24169.254.95.1 to 169.254.95.254169.254.95.255254
97169.254.96.0/24169.254.96.1 to 169.254.96.254169.254.96.255254
98169.254.97.0/24169.254.97.1 to 169.254.97.254169.254.97.255254
99169.254.98.0/24169.254.98.1 to 169.254.98.254169.254.98.255254
100169.254.99.0/24169.254.99.1 to 169.254.99.254169.254.99.255254
101169.254.100.0/24169.254.100.1 to 169.254.100.254169.254.100.255254
102169.254.101.0/24169.254.101.1 to 169.254.101.254169.254.101.255254
103169.254.102.0/24169.254.102.1 to 169.254.102.254169.254.102.255254
104169.254.103.0/24169.254.103.1 to 169.254.103.254169.254.103.255254
105169.254.104.0/24169.254.104.1 to 169.254.104.254169.254.104.255254
106169.254.105.0/24169.254.105.1 to 169.254.105.254169.254.105.255254
107169.254.106.0/24169.254.106.1 to 169.254.106.254169.254.106.255254
108169.254.107.0/24169.254.107.1 to 169.254.107.254169.254.107.255254
109169.254.108.0/24169.254.108.1 to 169.254.108.254169.254.108.255254
110169.254.109.0/24169.254.109.1 to 169.254.109.254169.254.109.255254
111169.254.110.0/24169.254.110.1 to 169.254.110.254169.254.110.255254
112169.254.111.0/24169.254.111.1 to 169.254.111.254169.254.111.255254
113169.254.112.0/24169.254.112.1 to 169.254.112.254169.254.112.255254
114169.254.113.0/24169.254.113.1 to 169.254.113.254169.254.113.255254
115169.254.114.0/24169.254.114.1 to 169.254.114.254169.254.114.255254
116169.254.115.0/24169.254.115.1 to 169.254.115.254169.254.115.255254
117169.254.116.0/24169.254.116.1 to 169.254.116.254169.254.116.255254
118169.254.117.0/24169.254.117.1 to 169.254.117.254169.254.117.255254
119169.254.118.0/24169.254.118.1 to 169.254.118.254169.254.118.255254
120169.254.119.0/24169.254.119.1 to 169.254.119.254169.254.119.255254
121169.254.120.0/24169.254.120.1 to 169.254.120.254169.254.120.255254
122169.254.121.0/24169.254.121.1 to 169.254.121.254169.254.121.255254
123169.254.122.0/24169.254.122.1 to 169.254.122.254169.254.122.255254
124169.254.123.0/24169.254.123.1 to 169.254.123.254169.254.123.255254
125169.254.124.0/24169.254.124.1 to 169.254.124.254169.254.124.255254
126169.254.125.0/24169.254.125.1 to 169.254.125.254169.254.125.255254
127169.254.126.0/24169.254.126.1 to 169.254.126.254169.254.126.255254
128169.254.127.0/24169.254.127.1 to 169.254.127.254169.254.127.255254
129169.254.128.0/24169.254.128.1 to 169.254.128.254169.254.128.255254
130169.254.129.0/24169.254.129.1 to 169.254.129.254169.254.129.255254
131169.254.130.0/24169.254.130.1 to 169.254.130.254169.254.130.255254
132169.254.131.0/24169.254.131.1 to 169.254.131.254169.254.131.255254
133169.254.132.0/24169.254.132.1 to 169.254.132.254169.254.132.255254
134169.254.133.0/24169.254.133.1 to 169.254.133.254169.254.133.255254
135169.254.134.0/24169.254.134.1 to 169.254.134.254169.254.134.255254
136169.254.135.0/24169.254.135.1 to 169.254.135.254169.254.135.255254
137169.254.136.0/24169.254.136.1 to 169.254.136.254169.254.136.255254
138169.254.137.0/24169.254.137.1 to 169.254.137.254169.254.137.255254
139169.254.138.0/24169.254.138.1 to 169.254.138.254169.254.138.255254
140169.254.139.0/24169.254.139.1 to 169.254.139.254169.254.139.255254
141169.254.140.0/24169.254.140.1 to 169.254.140.254169.254.140.255254
142169.254.141.0/24169.254.141.1 to 169.254.141.254169.254.141.255254
143169.254.142.0/24169.254.142.1 to 169.254.142.254169.254.142.255254
144169.254.143.0/24169.254.143.1 to 169.254.143.254169.254.143.255254
145169.254.144.0/24169.254.144.1 to 169.254.144.254169.254.144.255254
146169.254.145.0/24169.254.145.1 to 169.254.145.254169.254.145.255254
147169.254.146.0/24169.254.146.1 to 169.254.146.254169.254.146.255254
148169.254.147.0/24169.254.147.1 to 169.254.147.254169.254.147.255254
149169.254.148.0/24169.254.148.1 to 169.254.148.254169.254.148.255254
150169.254.149.0/24169.254.149.1 to 169.254.149.254169.254.149.255254
151169.254.150.0/24169.254.150.1 to 169.254.150.254169.254.150.255254
152169.254.151.0/24169.254.151.1 to 169.254.151.254169.254.151.255254
153169.254.152.0/24169.254.152.1 to 169.254.152.254169.254.152.255254
154169.254.153.0/24169.254.153.1 to 169.254.153.254169.254.153.255254
155169.254.154.0/24169.254.154.1 to 169.254.154.254169.254.154.255254
156169.254.155.0/24169.254.155.1 to 169.254.155.254169.254.155.255254
157169.254.156.0/24169.254.156.1 to 169.254.156.254169.254.156.255254
158169.254.157.0/24169.254.157.1 to 169.254.157.254169.254.157.255254
159169.254.158.0/24169.254.158.1 to 169.254.158.254169.254.158.255254
160169.254.159.0/24169.254.159.1 to 169.254.159.254169.254.159.255254
161169.254.160.0/24169.254.160.1 to 169.254.160.254169.254.160.255254
162169.254.161.0/24169.254.161.1 to 169.254.161.254169.254.161.255254
163169.254.162.0/24169.254.162.1 to 169.254.162.254169.254.162.255254
164169.254.163.0/24169.254.163.1 to 169.254.163.254169.254.163.255254
165169.254.164.0/24169.254.164.1 to 169.254.164.254169.254.164.255254
166169.254.165.0/24169.254.165.1 to 169.254.165.254169.254.165.255254
167169.254.166.0/24169.254.166.1 to 169.254.166.254169.254.166.255254
168169.254.167.0/24169.254.167.1 to 169.254.167.254169.254.167.255254
169169.254.168.0/24169.254.168.1 to 169.254.168.254169.254.168.255254
170169.254.169.0/24169.254.169.1 to 169.254.169.254169.254.169.255254
171169.254.170.0/24169.254.170.1 to 169.254.170.254169.254.170.255254
172169.254.171.0/24169.254.171.1 to 169.254.171.254169.254.171.255254
173169.254.172.0/24169.254.172.1 to 169.254.172.254169.254.172.255254
174169.254.173.0/24169.254.173.1 to 169.254.173.254169.254.173.255254
175169.254.174.0/24169.254.174.1 to 169.254.174.254169.254.174.255254
176169.254.175.0/24169.254.175.1 to 169.254.175.254169.254.175.255254
177169.254.176.0/24169.254.176.1 to 169.254.176.254169.254.176.255254
178169.254.177.0/24169.254.177.1 to 169.254.177.254169.254.177.255254
179169.254.178.0/24169.254.178.1 to 169.254.178.254169.254.178.255254
180169.254.179.0/24169.254.179.1 to 169.254.179.254169.254.179.255254
181169.254.180.0/24169.254.180.1 to 169.254.180.254169.254.180.255254
182169.254.181.0/24169.254.181.1 to 169.254.181.254169.254.181.255254
183169.254.182.0/24169.254.182.1 to 169.254.182.254169.254.182.255254
184169.254.183.0/24169.254.183.1 to 169.254.183.254169.254.183.255254
185169.254.184.0/24169.254.184.1 to 169.254.184.254169.254.184.255254
186169.254.185.0/24169.254.185.1 to 169.254.185.254169.254.185.255254
187169.254.186.0/24169.254.186.1 to 169.254.186.254169.254.186.255254
188169.254.187.0/24169.254.187.1 to 169.254.187.254169.254.187.255254
189169.254.188.0/24169.254.188.1 to 169.254.188.254169.254.188.255254
190169.254.189.0/24169.254.189.1 to 169.254.189.254169.254.189.255254
191169.254.190.0/24169.254.190.1 to 169.254.190.254169.254.190.255254
192169.254.191.0/24169.254.191.1 to 169.254.191.254169.254.191.255254
193169.254.192.0/24169.254.192.1 to 169.254.192.254169.254.192.255254
194169.254.193.0/24169.254.193.1 to 169.254.193.254169.254.193.255254
195169.254.194.0/24169.254.194.1 to 169.254.194.254169.254.194.255254
196169.254.195.0/24169.254.195.1 to 169.254.195.254169.254.195.255254
197169.254.196.0/24169.254.196.1 to 169.254.196.254169.254.196.255254
198169.254.197.0/24169.254.197.1 to 169.254.197.254169.254.197.255254
199169.254.198.0/24169.254.198.1 to 169.254.198.254169.254.198.255254
200169.254.199.0/24169.254.199.1 to 169.254.199.254169.254.199.255254
201169.254.200.0/24169.254.200.1 to 169.254.200.254169.254.200.255254
202169.254.201.0/24169.254.201.1 to 169.254.201.254169.254.201.255254
203169.254.202.0/24169.254.202.1 to 169.254.202.254169.254.202.255254
204169.254.203.0/24169.254.203.1 to 169.254.203.254169.254.203.255254
205169.254.204.0/24169.254.204.1 to 169.254.204.254169.254.204.255254
206169.254.205.0/24169.254.205.1 to 169.254.205.254169.254.205.255254
207169.254.206.0/24169.254.206.1 to 169.254.206.254169.254.206.255254
208169.254.207.0/24169.254.207.1 to 169.254.207.254169.254.207.255254
209169.254.208.0/24169.254.208.1 to 169.254.208.254169.254.208.255254
210169.254.209.0/24169.254.209.1 to 169.254.209.254169.254.209.255254
211169.254.210.0/24169.254.210.1 to 169.254.210.254169.254.210.255254
212169.254.211.0/24169.254.211.1 to 169.254.211.254169.254.211.255254
213169.254.212.0/24169.254.212.1 to 169.254.212.254169.254.212.255254
214169.254.213.0/24169.254.213.1 to 169.254.213.254169.254.213.255254
215169.254.214.0/24169.254.214.1 to 169.254.214.254169.254.214.255254
216169.254.215.0/24169.254.215.1 to 169.254.215.254169.254.215.255254
217169.254.216.0/24169.254.216.1 to 169.254.216.254169.254.216.255254
218169.254.217.0/24169.254.217.1 to 169.254.217.254169.254.217.255254
219169.254.218.0/24169.254.218.1 to 169.254.218.254169.254.218.255254
220169.254.219.0/24169.254.219.1 to 169.254.219.254169.254.219.255254
221169.254.220.0/24169.254.220.1 to 169.254.220.254169.254.220.255254
222169.254.221.0/24169.254.221.1 to 169.254.221.254169.254.221.255254
223169.254.222.0/24169.254.222.1 to 169.254.222.254169.254.222.255254
224169.254.223.0/24169.254.223.1 to 169.254.223.254169.254.223.255254
225169.254.224.0/24169.254.224.1 to 169.254.224.254169.254.224.255254
226169.254.225.0/24169.254.225.1 to 169.254.225.254169.254.225.255254
227169.254.226.0/24169.254.226.1 to 169.254.226.254169.254.226.255254
228169.254.227.0/24169.254.227.1 to 169.254.227.254169.254.227.255254
229169.254.228.0/24169.254.228.1 to 169.254.228.254169.254.228.255254
230169.254.229.0/24169.254.229.1 to 169.254.229.254169.254.229.255254
231169.254.230.0/24169.254.230.1 to 169.254.230.254169.254.230.255254
232169.254.231.0/24169.254.231.1 to 169.254.231.254169.254.231.255254
233169.254.232.0/24169.254.232.1 to 169.254.232.254169.254.232.255254
234169.254.233.0/24169.254.233.1 to 169.254.233.254169.254.233.255254
235169.254.234.0/24169.254.234.1 to 169.254.234.254169.254.234.255254
236169.254.235.0/24169.254.235.1 to 169.254.235.254169.254.235.255254
237169.254.236.0/24169.254.236.1 to 169.254.236.254169.254.236.255254
238169.254.237.0/24169.254.237.1 to 169.254.237.254169.254.237.255254
239169.254.238.0/24169.254.238.1 to 169.254.238.254169.254.238.255254
240169.254.239.0/24169.254.239.1 to 169.254.239.254169.254.239.255254
241169.254.240.0/24169.254.240.1 to 169.254.240.254169.254.240.255254
242169.254.241.0/24169.254.241.1 to 169.254.241.254169.254.241.255254
243169.254.242.0/24169.254.242.1 to 169.254.242.254169.254.242.255254
244169.254.243.0/24169.254.243.1 to 169.254.243.254169.254.243.255254
245169.254.244.0/24169.254.244.1 to 169.254.244.254169.254.244.255254
246169.254.245.0/24169.254.245.1 to 169.254.245.254169.254.245.255254
247169.254.246.0/24169.254.246.1 to 169.254.246.254169.254.246.255254
248169.254.247.0/24169.254.247.1 to 169.254.247.254169.254.247.255254
249169.254.248.0/24169.254.248.1 to 169.254.248.254169.254.248.255254
250169.254.249.0/24169.254.249.1 to 169.254.249.254169.254.249.255254
251169.254.250.0/24169.254.250.1 to 169.254.250.254169.254.250.255254
252169.254.251.0/24169.254.251.1 to 169.254.251.254169.254.251.255254
253169.254.252.0/24169.254.252.1 to 169.254.252.254169.254.252.255254
254169.254.253.0/24169.254.253.1 to 169.254.253.254169.254.253.255254
255169.254.254.0/24169.254.254.1 to 169.254.254.254169.254.254.255254
256169.254.255.0/24169.254.255.1 to 169.254.255.254169.254.255.255254

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses